;; Copyright 2010 Kevin Ryde.
;;
;; This file is part of accjournal.
;;
;; accjournal is free software; you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free
;; Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; accjournal is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License along
;; with accjournal; see the file COPYING.  Failing that, go to
;; <http://www.gnu.org/licenses/>.


(defun my-tabs-to-arrows ()
  (interactive)
  (save-excursion
    (goto-char (point-min))
    (while (re-search-forward "^\\(?:# *\\)? ?[0-9]+ [A-Za-z]+ [0-9]+ +[-0-9.]+\
\\(\t+\\)[^\t\n]+\
\\(\t+\\)[^\t\n]+\
\\(\\(\t+\\)[^\t\n]+\\)?" nil t)
      (if (match-beginning 4)
          (replace-match " | " t t nil 4))
      (replace-match " -> " t t nil 2)
      (replace-match "  " t t nil 1))))

(replace-match "  " t t nil 1)))
